#ifndef WRITE_WAV_H
#define WRITE_WAV_H
// writeWAV.h
/*
 * (c)2024 Forward Computing and Control Pty. Ltd.
 * NSW Australia, www.forward.com.au
 * This code is not warranted to be fit for any purpose. You may only use it at your own risk.
 * This generated code may be freely used for both private and commercial use
 * provided this copyright is maintained.
 */

#include <stdint.h>
class writeWAV {
  public:
    // sets a with very large WAVE data size 0x40000000 (1Gig bytes) about 279.6hrs (>11days) of mono 16000, 32bit data
    static bool writeWaveHeader(const char *filename, uint32_t sample_width, uint32_t sample_rate, uint16_t num_channels, bool paddTo512 = false);
    static size_t writeBlocks(const char *filename, uint8_t* data, size_t datasize); // datasize must be multiple of 512
    static size_t write(const char *filename, uint8_t* data, size_t datasize); // write data (bytes)
    static void setDebugOut(Print *_debugPtr);
    private:
    static Print* debugPtr;// = NULL;
};

#endif
